<?php
  /**************************************************************************\
  * phpGroupWare                                                             *
  * http://www.phpgroupware.org/                                             *
  * This file written by Patrick Walsh <patrick@phpgroupware.org>            *
  * ------------------------------------------------------------------------ *
  * Please see the documentation for these classes in the README file in     *
  * this directory.                                                          *
  * ------------------------------------------------------------------------ *
  *  This program is free software; you can redistribute it and/or modify it *
  *  under the terms of the GNU General Public License as published by the   *
  *  Free Software Foundation; either version 2 of the License, or (at your  *
  *  option) any later version.                                              *
  \**************************************************************************/

  /* $Id: phone.class.php,v 1.1 2000/12/13 06:48:39 pjw Exp $ */

class cdb_phone_class extends cdb_generic_class {

  /////////////////////////////////////////////////
 ////////////// Public Variables /////////////////
/////////////////////////////////////////////////
/* These vars are declared like: 'var $varname;' */
/* These vars will be accessed directly.  There 
   should be very few of these as most will be 
   accessed through get and let functions.       */

  /////////////////////////////////////////////////
 /////////////// Local Variables /////////////////
/////////////////////////////////////////////////
/* PHP does not support local vars.  Use         */
/* 'var $_varname;' to signify local vars.       */
/* These vars are either not accessed by outside
   functions, or are accessed only through get 
   and let functions.                            */

  /////////////////////////////////////////////////
 //////////// Constructor Functions //////////////
/////////////////////////////////////////////////
	function cdb_entity_class() {
	  $this->_=array(
	    /* add vars that have get/let interface
	       to this array.                       */
	    "id" => "",
	    "type" => "",
	    "number" => ""
	  );
	}

  /////////////////////////////////////////////////
 ////////////// Public Functions /////////////////
/////////////////////////////////////////////////
	function save() {

	}

	function load($phone_id) {
		//do sql, then set id
		$this->let("id", $phone_id);
	}

	function get_phone_id() {
		return $this->get("id");
	}

	function get_type_name() {
		//look up category id and return name
	}

	function get_type() {
		return $this->get("type");
	}

	function let_type($new_type) {
		return $this->let("type", $new_type);
	}

	function get_number() {
		return $this->get("number");
	}

	function let_number($new_number) {
		return $this->let("number", $new_number);
	}

}
?>
